## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate vm-memory

Name:           rust-vm-memory
Version:        0.14.0
Release:        %autorelease
Summary:        Safe abstractions for accessing the VM physical memory

License:        Apache-2.0 OR BSD-3-Clause
URL:            https://crates.io/crates/vm-memory
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          vm-memory-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * drop unused, benchmark-only criterion dev-dependency to speed up builds
# * exclude files that are only useful for upstream development
Patch:          vm-memory-fix-metadata.diff

# vm-memory does not support 32 bit targets
ExcludeArch:    %{ix86}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Safe abstractions for accessing the VM physical memory.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-BSD-3-Clause
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/DESIGN.md
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/TODO.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+arc-swap-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+arc-swap-devel %{_description}

This package contains library source intended for building other packages which
use the "arc-swap" feature of the "%{crate}" crate.

%files       -n %{name}+arc-swap-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+backend-atomic-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+backend-atomic-devel %{_description}

This package contains library source intended for building other packages which
use the "backend-atomic" feature of the "%{crate}" crate.

%files       -n %{name}+backend-atomic-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+backend-bitmap-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+backend-bitmap-devel %{_description}

This package contains library source intended for building other packages which
use the "backend-bitmap" feature of the "%{crate}" crate.

%files       -n %{name}+backend-bitmap-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+backend-mmap-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+backend-mmap-devel %{_description}

This package contains library source intended for building other packages which
use the "backend-mmap" feature of the "%{crate}" crate.

%files       -n %{name}+backend-mmap-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+bitflags-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bitflags-devel %{_description}

This package contains library source intended for building other packages which
use the "bitflags" feature of the "%{crate}" crate.

%files       -n %{name}+bitflags-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+vmm-sys-util-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+vmm-sys-util-devel %{_description}

This package contains library source intended for building other packages which
use the "vmm-sys-util" feature of the "%{crate}" crate.

%files       -n %{name}+vmm-sys-util-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+xen-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+xen-devel %{_description}

This package contains library source intended for building other packages which
use the "xen" feature of the "%{crate}" crate.

%files       -n %{name}+xen-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Mon Jan 08 2024 Sergio Lopez <slp@redhat.com> - 0.14.0-1
- Update to version 0.14.0; Fixes RHBZ#2240198

* Thu Dec 21 2023 Sergio Lopez <slp@redhat.com> - 0.13.1-1
- Update to version 0.13.1; Fixes RHBZ#2240198

* Wed Aug 30 2023 Fabio Valentini <decathorpe@gmail.com> - 0.12.2-1
- Update to version 0.12.2; Fixes RHBZ#2229985

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jul 12 2023 Sergio Lopez <slp@redhat.com> - 0.12.0-1
- Update to version 0.12.0

* Mon May 08 2023 Fabio Valentini <decathorpe@gmail.com> - 0.10.0-2
- Include upstream patch to fix UB in test code.
- Regenerate with rust2rpm 24.

* Wed Feb 08 2023 Sergio Lopez <slp@redhat.com> - 0.10.0-1
- Update to version 0.10.0
- Drop no longer needed vm-memory-fix-atomics.diff patch

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Nov 04 2022 Fabio Valentini <decathorpe@gmail.com> - 0.8.0-3
- Drop unused, benchmark-only criterion dev-dependency.
- Regenerate with rust2rpm 23.

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue May 31 2022 Sergio Lopez <slp@redhat.com> - 0.8.0-1
- Update to 0.8.0
- Enable tests now that BZ#1902663 is fixed
- Enable all rust_arches except i686 (32 bits targets are not supported)

* Thu Mar 03 2022 Sergio Lopez <slp@redhat.com> - 0.7.0-4
- Add missing rust-vm-memory+backend-bitmap-devel subpackage

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Dec 24 2021 Sergio Lopez <slp@redhat.com> - 0.7.0-1
- Update to 0.7.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon May 03 2021 Sergio Lopez <slp@redhat.com> - 0.5.0-1
- Initial package

## END: Generated by rpmautospec
